<div class="container">
  <ng-container *ngIf="productFormGroup">
    <ng-container *ngIf="state as data">
      <ng-container *ngIf="data.dataState==ProductStateEnum.LOADING">
        Loading ...
      </ng-container>
      <ng-container *ngIf="data.dataState==ProductStateEnum.LOADED">
        <div class="alert-sucess container p-3 m-3">
          <span>Product Saved Sucessfully</span>
          <button class="btn btn-success ml-3" (click)="newProduct()">New Product</button>
        </div>

      </ng-container>
      <ng-container *ngIf="data.dataState==ProductStateEnum.NEW">
        <form [formGroup]="productFormGroup" (ngSubmit)="onSaveProduct()">
          <div class="form-group">
            <label for="name">Name </label>
            <input type="text" class="form-control" formControlName="name" id="name"
              [ngClass]="{'is-invalid':submitted && productFormGroup.controls.name.errors}">
            <div *ngIf="submitted && productFormGroup.controls.name.errors" class="invalid-feedback">
              <div *ngIf="productFormGroup.controls.name.errors.required">Name is Required</div>
            </div>
          </div>
          <div class="form-group">
            <label for="price">Price</label>
            <input type="text" class="form-control" formControlName="price" id="price">
          </div>
          <div class="form-group">
            <label for="quantity">Quantity</label>
            <input type="text" class="form-control" formControlName="quantity" id="quantity">
          </div>
          <div class="form-group">
            <label for="selected">Selected</label>
            <input type="checkbox" class="form-check" formControlName="selected" id="selected">
          </div>
          <button type="submit" class="btn btn-success">Save</button>
        </form>
      </ng-container>
    </ng-container>
  </ng-container>
</div>
